#include <netdb.h>

#include <NetworkAddress.h>


int
main()
{
	const char* host = NULL;
	const char* port = "80";
	addrinfo hint = {0};
	hint.ai_family = AF_UNSPEC;
	hint.ai_socktype = SOCK_STREAM;

	addrinfo* info;
	int status = getaddrinfo(host, port, &hint, &info);
	if (status != 0) {
		fprintf(stderr, "getaddrinfo() failed: %s\n", gai_strerror(status));
		return 1;
	}

	for (const addrinfo* next = info; next != NULL;
			next = next->ai_next) {
		BNetworkAddress address(*next->ai_addr);
		printf("got: %s\n", address.ToString().String());
	}

	freeaddrinfo(info);
	return 0;
}
